Download it now!
Bug 41202 - UI: Shift+click only can increase selection, not decrease
Summary: UI: Shift+click only can increase selection, not decrease
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 41200 57406 (view as bug list)
Depends on:
Blocks: Writer-UX Selection
  Show dependency treegraph
 
Reported: 2011-09-25 18:24 UTC by Larry Eppley
Modified: 2019-03-13 17:18 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
SCREENSHOT (139.14 KB, image/png)
2011-09-25 18:28 UTC, Larry Eppley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Eppley 2011-09-25 18:24:26 UTC
LibreOffice 3.3.3 
OOO330m19 (Build:301)
Ver: 3.3.3.1-5.fc15
Fedora

Problem description: The shift click method of selecting text allows one to increase the text selection, but not to decrease it.  
This is not standard behavior, and will be annoying to MS Word users, in fact to virtually all computer users.  This is a writer problem, and seems not to exist anywhere else in the program. Please, this is a bug and not a feature!

Steps to reproduce:
1.Click in text.
2. Shift-click deeper into text for selection: Text is selected.
3. Shift-click even deeper: Text selection is increased.
3. Then, Shift-click closer to beginning of selection.

Current behavior:  Nothing! As if the expected behavior is disabled.

Expected behavior: Decrease in selection, ending with latest shift-click position.
Comment 1 Larry Eppley 2011-09-25 18:28:52 UTC
Created attachment 51608 [details]
SCREENSHOT

SCREENSHOT COMMENT
Comment 2 Rainer Bielefeld Retired 2011-09-25 23:36:33 UTC
Pretty old OOo bug.
[Reproducible] with "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]".

Still visible with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) English UI [(Build ID: 81607ad-3dca5fd-da627d2)]"

It's indeed only a WRITER bug, works fine in DRAW text boxes and Calc cells.

@Cédric:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.

- Reported with Bug Submission Assistant -
Comment 3 Björn Michaelsen 2011-12-23 13:25:36 UTC Comment hidden (obsolete)
Comment 4 A (Andy) 2013-05-05 20:40:29 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 5 A (Andy) 2013-05-05 20:42:39 UTC
*** Bug 57406 has been marked as a duplicate of this bug. ***
Comment 6 František 2013-07-18 06:07:35 UTC
reproducible with LO 4.1.0.1 Mac 10.6, 32bit LO
It would be realy fine when somebody could address that since this bug is present long time and makes difficult every day work.
Comment 7 mike.hall 2014-05-24 16:15:54 UTC
Reproducible in 4.2.4.2 and 4.3.0.0b1
This method works pretty well universally, very strange not to work in Writer
Would it be easy to fix -> easy hack perhaps?
Comment 8 QA Administrators 2015-06-08 14:42:31 UTC Comment hidden (obsolete)
Comment 9 Magalaan 2015-06-13 21:36:11 UTC
Bug is still there, 
using ubuntu 14.04 with LO Version: 4.4.3.2
Comment 10 krajcsi 2015-06-27 17:09:20 UTC
Bug is still there.

Selection works OK with dragging: if you _drag_ and not _click_ the mouse, the selection can be both increased and decreased.

Linux Mint 17.1
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: en_US.UTF-8
Comment 11 QA Administrators 2016-09-20 10:11:05 UTC Comment hidden (obsolete)
Comment 12 Yousuf Philips (jay) (retired) 2016-10-19 21:17:09 UTC
*** Bug 41200 has been marked as a duplicate of this bug. ***
Comment 13 QA Administrators 2017-10-23 14:15:51 UTC Comment hidden (obsolete)
Comment 14 krajcsi 2017-10-31 11:54:49 UTC
The bug still exists.

Version: 5.4.2.2
Build ID: 1:5.4.2~rc2-0ubuntu0.16.04.1~lo2
CPU threads: 4; OS: Linux 4.11; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 15 qscesz84563 2018-11-29 08:04:34 UTC
Still exists in version
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 16 Commit Notification 2019-02-01 07:42:08 UTC
Martin van Zijl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/31ba2a6bdecb81545d9b871a1a9394e5d7a3f2c4%5E%21

tdf#41202 allow decrease selection with shift-click in writer

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-03-13 06:37:07 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d21aab7de8766e9575682f7f20f6449dbc9639e2%5E%21

Revert "tdf#41202 allow decrease selection with shift-click in writer"

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.